Last Comment Bug 744663 - test_websocket_basic.html: additional improvements after bug 621347
: test_websocket_basic.html: additional improvements after bug 621347
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Networking: WebSockets (show other bugs)
: Trunk
: All All
: P3 minor (vote)
: mozilla14
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on: 621347
Blocks: 736325
  Show dependency treegraph
 
Reported: 2012-04-11 17:37 PDT by Serge Gautherie (:sgautherie)
Modified: 2012-04-24 06:23 PDT (History)
1 user (show)
bugzillamozillaorg_serge_20140323: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
(Av1) Improve documentation and logs, Nits [Checked in: Comment 5] (8.79 KB, patch)
2012-04-11 18:26 PDT, Serge Gautherie (:sgautherie)
bugs: review+
Details | Diff | Review
(Bv1) Inline finishWSTest(), Use executeSoon() between sub-tests, Improve message contents, Receive "end" messages too, Add an additional forcegc(), Nits [Checked in: Comment 6] (7.05 KB, patch)
2012-04-17 11:04 PDT, Serge Gautherie (:sgautherie)
bugs: review+
Details | Diff | Review
(Cv1) Use 'test' pre instead of redundant 'log' pre, Improve on-screen logging [Checked in: Comment 7] (8.50 KB, patch)
2012-04-23 12:11 PDT, Serge Gautherie (:sgautherie)
bugs: review+
Details | Diff | Review

Description Serge Gautherie (:sgautherie) 2012-04-11 17:37:07 PDT
Basically moving bug 621347 patch Cv1a here.
Comment 1 Serge Gautherie (:sgautherie) 2012-04-11 18:26:11 PDT
Created attachment 614246 [details] [diff] [review]
(Av1) Improve documentation and logs, Nits
[Checked in: Comment 5]

(In reply to Olli Pettay [:smaug] from bug 621347 comment #7)
> Kind of hard to see what is changed and why.

Here is a first part, to ease review.
Comment 2 Serge Gautherie (:sgautherie) 2012-04-17 11:04:17 PDT
Created attachment 615795 [details] [diff] [review]
(Bv1) Inline finishWSTest(), Use executeSoon() between sub-tests, Improve message contents, Receive "end" messages too, Add an additional forcegc(), Nits
[Checked in: Comment 6]
Comment 3 Olli Pettay [:smaug] (high review load, please consider other reviewers) 2012-04-23 05:12:55 PDT
Comment on attachment 615795 [details] [diff] [review]
(Bv1) Inline finishWSTest(), Use executeSoon() between sub-tests, Improve message contents, Receive "end" messages too, Add an additional forcegc(), Nits
[Checked in: Comment 6]

Not sure why you want these changes, but ok :)
Comment 4 Serge Gautherie (:sgautherie) 2012-04-23 12:11:01 PDT
Created attachment 617586 [details] [diff] [review]
(Cv1) Use 'test' pre instead of redundant 'log' pre, Improve on-screen logging
[Checked in: Comment 7]

Last part.
Comment 5 Serge Gautherie (:sgautherie) 2012-04-23 18:14:47 PDT
Comment on attachment 614246 [details] [diff] [review]
(Av1) Improve documentation and logs, Nits
[Checked in: Comment 5]

https://hg.mozilla.org/mozilla-central/rev/30404871c57e
Comment 6 Serge Gautherie (:sgautherie) 2012-04-23 18:14:54 PDT
Comment on attachment 615795 [details] [diff] [review]
(Bv1) Inline finishWSTest(), Use executeSoon() between sub-tests, Improve message contents, Receive "end" messages too, Add an additional forcegc(), Nits
[Checked in: Comment 6]

https://hg.mozilla.org/mozilla-central/rev/03b56b258f69
Comment 7 Serge Gautherie (:sgautherie) 2012-04-23 18:15:02 PDT
Comment on attachment 617586 [details] [diff] [review]
(Cv1) Use 'test' pre instead of redundant 'log' pre, Improve on-screen logging
[Checked in: Comment 7]

https://hg.mozilla.org/mozilla-central/rev/21da3f655b30
Comment 8 Serge Gautherie (:sgautherie) 2012-04-24 06:23:37 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=11141200&tree=Firefox&full=1
Rev3 Fedora 12x64 mozilla-central debug test mochitests-1/5 on 2012-04-23 18:55:43 PDT for push 21da3f655b30
{
40185 INFO TEST-START | /tests/content/base/test/test_websocket_basic.html
40186 INFO TEST-PASS | /tests/content/base/test/test_websocket_basic.html | [1] WebSocket.url - ws://mochi.test:8888/tests/content/base/test/file_websocket_basic should equal ws://mochi.test:8888/tests/content/base/test/file_websocket_basic
[...]
41308 INFO TEST-PASS | /tests/content/base/test/test_websocket_basic.html | [5] Length of buffered message sent after closing - 27 should equal 27
41309 INFO TEST-END | /tests/content/base/test/test_websocket_basic.html | finished in 36868ms
}

V.Fixed

Note You need to log in before you can comment on or make changes to this bug.